import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataTlsCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tls/d/certificate#url DataTlsCertificate#url}
    */
    readonly url: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tls/d/certificate#verify_chain DataTlsCertificate#verify_chain}
    */
    readonly verifyChain?: boolean | cdktf.IResolvable;
}
export declare class DataTlsCertificateCertificates extends cdktf.ComplexComputedList {
    get isCa(): cdktf.IResolvable;
    get issuer(): string;
    get notAfter(): string;
    get notBefore(): string;
    get publicKeyAlgorithm(): string;
    get serialNumber(): string;
    get sha1Fingerprint(): string;
    get signatureAlgorithm(): string;
    get subject(): string;
    get version(): number;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/tls/d/certificate tls_certificate}
*/
export declare class DataTlsCertificate extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/tls/d/certificate tls_certificate} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataTlsCertificateConfig
    */
    constructor(scope: Construct, id: string, config: DataTlsCertificateConfig);
    certificates(index: string): DataTlsCertificateCertificates;
    get id(): string;
    private _url?;
    get url(): string;
    set url(value: string);
    get urlInput(): string | undefined;
    private _verifyChain?;
    get verifyChain(): boolean | cdktf.IResolvable;
    set verifyChain(value: boolean | cdktf.IResolvable);
    resetVerifyChain(): void;
    get verifyChainInput(): boolean | cdktf.IResolvable | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
